NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StudioSurfaceBuilderEx Class Reference

Represents a Features::StudioSurfaceEx builder
To create a new instance of this class, use NXOpen::Features::FreeformSurfaceCollection::CreateStudioSurfaceBuilderEx
Default values. More...

Inheritance diagram for NXOpen::Features::StudioSurfaceBuilderEx:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  TransitionOptions {
  TransitionOptionsNormalToEndSections, TransitionOptionsNormalToAllSections, TransitionOptionsCubic, TransitionOptionsLinearAndBlend,
  TransitionOptionsNoEndConstraint
}
 the transition control options when using By Points alignment method More...
 

Public Member Functions

NXOpen::GeometricUtilities::AlignmentMethodBuilderAlignmentMethod ()
 Returns the alignment method
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::FeatureOptionsBodyPreference ()
 Returns the body type options
Created in NX8.5.0. More...
 
double CurvatureTolerance ()
 Returns the curvature tolerance
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::ContinuityFirstGuideContinuity ()
 Returns the first guide continuity
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::ContinuityFirstSectionContinuity ()
 Returns the first section continuity
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::FlowDirectionFlowDirection ()
 Returns the flow direction
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::CurveFitDataGuideCurveFitData ()
 Returns the guide curve fit
Created in NX8.5.0. More...
 
NXOpen::SectionListGuideList ()
 Returns the list of guides
Created in NX8.5.0. More...
 
double IntersectionTolerance ()
 Returns the intersection tolerance
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::ContinuityLastGuideContinuity ()
 Returns the last guide continuity
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::ContinuityLastSectionContinuity ()
 Returns the last section continuity
Created in NX8.5.0. More...
 
bool LaydownCurve ()
 Returns a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0. More...
 
double PositionTolerance ()
 Returns the position tolerance
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::CurveFitDataSectionCurveFitData ()
 Returns the section curve fit
Created in NX8.5.0. More...
 
NXOpen::SectionListSectionList ()
 Returns the list of sections
Created in NX8.5.0. More...
 
void SetCurvatureTolerance (double curvatureTolerance)
 Sets the curvature tolerance
Created in NX8.5.0. More...
 
void SetIntersectionTolerance (double intersectionTolerance)
 Sets the intersection tolerance
Created in NX8.5.0. More...
 
void SetLaydownCurve (bool laydownCurve)
 Sets a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0. More...
 
void SetPositionTolerance (double positionTolerance)
 Sets the position tolerance
Created in NX8.5.0. More...
 
void SetSplitSurfaces (bool splitSurfaces)
 Sets a value indicating whether to split the surfaces along boundary curves
Created in NX11.0.0. More...
 
void SetTangentTolerance (double tangentTolerance)
 Sets the tangent tolerance
Created in NX8.5.0. More...
 
void SetTransition (NXOpen::Features::StudioSurfaceBuilderEx::TransitionOptions transition)
 Sets the transition control
Created in NX8.5.0. More...
 
bool SplitSurfaces ()
 Returns a value indicating whether to split the surfaces along boundary curves
Created in NX11.0.0. More...
 
double TangentTolerance ()
 Returns the tangent tolerance
Created in NX8.5.0. More...
 
NXOpen::Features::StudioSurfaceBuilderEx::TransitionOptions Transition ()
 Returns the transition control
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Features::StudioSurfaceEx builder
To create a new instance of this class, use NXOpen::Features::FreeformSurfaceCollection::CreateStudioSurfaceBuilderEx
Default values.

Property Value

GuideCurveFitData.CurveJoinMethod

No

GuideCurveFitData.Degree

7

GuideCurveFitData.FitMethod

DegreeAndSegments

GuideCurveFitData.IsAdvancedFit

0

GuideCurveFitData.IsAlignShape

0

GuideCurveFitData.MaximumDegree

7

GuideCurveFitData.MaximumSegments

1

GuideCurveFitData.MinimumDegree

5

GuideCurveFitData.Segments

1

LaydownCurve

1

SplitSurfaces

0

Transition

NormalToEndSections


Created in NX8.5.0.

Member Enumeration Documentation

the transition control options when using By Points alignment method

Enumerator
TransitionOptionsNormalToEndSections 

Normal to End Sections.

TransitionOptionsNormalToAllSections 

Normal to All Sections.

TransitionOptionsCubic 

Cubic.

TransitionOptionsLinearAndBlend 

Linear and Blend.

TransitionOptionsNoEndConstraint 

No End Constraint.

Member Function Documentation

NXOpen::GeometricUtilities::AlignmentMethodBuilder* NXOpen::Features::StudioSurfaceBuilderEx::AlignmentMethod ( )

Returns the alignment method
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::FeatureOptions* NXOpen::Features::StudioSurfaceBuilderEx::BodyPreference ( )

Returns the body type options
Created in NX8.5.0.



License requirements : None

double NXOpen::Features::StudioSurfaceBuilderEx::CurvatureTolerance ( )

Returns the curvature tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilderEx::FirstGuideContinuity ( )

Returns the first guide continuity
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilderEx::FirstSectionContinuity ( )

Returns the first section continuity
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::StudioSurfaceBuilderEx::FlowDirection ( )

Returns the flow direction
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::StudioSurfaceBuilderEx::GuideCurveFitData ( )

Returns the guide curve fit
Created in NX8.5.0.



License requirements : None

NXOpen::SectionList* NXOpen::Features::StudioSurfaceBuilderEx::GuideList ( )

Returns the list of guides
Created in NX8.5.0.



License requirements : None

double NXOpen::Features::StudioSurfaceBuilderEx::IntersectionTolerance ( )

Returns the intersection tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilderEx::LastGuideContinuity ( )

Returns the last guide continuity
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilderEx::LastSectionContinuity ( )

Returns the last section continuity
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::StudioSurfaceBuilderEx::LaydownCurve ( )

Returns a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

double NXOpen::Features::StudioSurfaceBuilderEx::PositionTolerance ( )

Returns the position tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::StudioSurfaceBuilderEx::SectionCurveFitData ( )

Returns the section curve fit
Created in NX8.5.0.



License requirements : None

NXOpen::SectionList* NXOpen::Features::StudioSurfaceBuilderEx::SectionList ( )

Returns the list of sections
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::StudioSurfaceBuilderEx::SetCurvatureTolerance ( double  curvatureTolerance)

Sets the curvature tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

Parameters
curvatureTolerancecurvaturetolerance
void NXOpen::Features::StudioSurfaceBuilderEx::SetIntersectionTolerance ( double  intersectionTolerance)

Sets the intersection tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

Parameters
intersectionToleranceintersectiontolerance
void NXOpen::Features::StudioSurfaceBuilderEx::SetLaydownCurve ( bool  laydownCurve)

Sets a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
laydownCurvelaydowncurve
void NXOpen::Features::StudioSurfaceBuilderEx::SetPositionTolerance ( double  positionTolerance)

Sets the position tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

Parameters
positionTolerancepositiontolerance
void NXOpen::Features::StudioSurfaceBuilderEx::SetSplitSurfaces ( bool  splitSurfaces)

Sets a value indicating whether to split the surfaces along boundary curves
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
splitSurfacessplitsurfaces
void NXOpen::Features::StudioSurfaceBuilderEx::SetTangentTolerance ( double  tangentTolerance)

Sets the tangent tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

Parameters
tangentTolerancetangenttolerance
void NXOpen::Features::StudioSurfaceBuilderEx::SetTransition ( NXOpen::Features::StudioSurfaceBuilderEx::TransitionOptions  transition)

Sets the transition control
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

Parameters
transitiontransition
bool NXOpen::Features::StudioSurfaceBuilderEx::SplitSurfaces ( )

Returns a value indicating whether to split the surfaces along boundary curves
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

double NXOpen::Features::StudioSurfaceBuilderEx::TangentTolerance ( )

Returns the tangent tolerance
Created in NX8.5.0.



License requirements : nx_freeform_1 ("basic freeform modeling") OR features_modeling ("FEATURES MODELING")

NXOpen::Features::StudioSurfaceBuilderEx::TransitionOptions NXOpen::Features::StudioSurfaceBuilderEx::Transition ( )

Returns the transition control
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.